package com.kuyuntech.cofarcooking.device.sdk.devmode.standmixer;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.BaseDevMode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SmPastaMaker extends BaseDevMode {


    public SmPastaMaker(){

        this.setMode(WorkModes.SM_PASTA_MAKER);

        //时间
        this.setMinTime(0);
        this.setMaxTime(10 * 60);
        this.setDefaultTime(10 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(8);
        this.setMinMotorGear(9);
        this.setMaxMotorGear(10);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }



}
